Home
Home
  1. Payroll Provider Reference Implementation
  • Welcome
  • Getting started
    • Availability and Onboarding
      • Light Availability Check
      • Full Availability Check
      • Onboarding
    • Salary Deduction
      • Deduction Instruction
      • Re-running Payroll
      • Deduction Payments and Reconciliation
      • Changes to Employee Status
  • API Reference
    • Authentication
    • Idempotency
    • Webhooks
      • Webhooks
    • Salary Deduction
      • Salary Deduction Data Request
      • Salary Deduction Confirmation Submission
  • Payroll Provider Reference Implementation
    • Light Availability Check
      POST
    • Full Availability Check
      POST
    • Salary Deduction Enablement
      POST
    • Payroll Information
      GET
    • Salary Deduction Employee Data Push
      POST
  • Schemas
    • Availability Check
      • Full Availability Check Request
      • Full Availability Check Response
      • Light Availability Check Request
      • Light Availability Check Response
    • Core
      • ProblemDetails
      • MetaData
      • Paged Response
    • Deduction Instructions
      • Salary Deduction Request
      • Salary Deduction
      • Confirmation Deduction Response
      • Salary Deduction Enablement Response
      • Employee Deduction Push Response
      • Employee Deduction Push Request
      • Salary Deduction Push
      • InstructionFile
      • InstructionItem
    • Payment Account
      • Payment Account
      • Payment Information
    • Payroll
      • Employee
      • Availability Payroll
      • Availability Employment
      • Availability Employer
      • BeneficiaryAccountResponse
      • Salary Deduction Confirmation Data Submission
      • Salary Deduction Confirmation Data Submission Response
      • Salary Deduction Data Request
      • Salary Deduction Data Response
      • Payroll
      • Employee Payroll
      • Employment
      • Employer
      • Pay Date
      • Salary Deduction Enablement Request
      • PayrollScheduleResponse
    • Webhooks
      • Employee Update Payload
      • WebHook
  1. Payroll Provider Reference Implementation

Salary Deduction Enablement

POST
/deductions/enablement
OperationId:salary_deduction_enablement

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Header Params

Body Params application/json

Example
{
    "salary_deduction_enablement_request": {
        "employer_id": "e3c3ec9e-eea5-42fc-b533-de3cea9c352f",
        "employee_id": "df4fd699-0854-488d-9cc2-15e751a80ee3",
        "payroll_id": "429a7427-c4b3-4ca3-91d1-4b78c5ec4dac",
        "agreement_datestamp": "2019-08-24T14:15:22.123Z"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/deductions/enablement' \
--header 'Idempotency-Key: {{$string.uuid}}' \
--header 'Content-Type: application/json' \
--data '{
    "salary_deduction_enablement_request": {
        "employer_id": "e3c3ec9e-eea5-42fc-b533-de3cea9c352f",
        "employee_id": "df4fd699-0854-488d-9cc2-15e751a80ee3",
        "payroll_id": "429a7427-c4b3-4ca3-91d1-4b78c5ec4dac",
        "agreement_datestamp": "2019-08-24T14:15:22.123Z"
    }
}'

Responses

🟢200Success
application/json
Indicates the request was successfully processed by the server and a valid response is included in the body.
Bodyapplication/json

Example
{
    "salary_deduction_enablement_response": {
        "enabled_employments": [
            {
                "employment": {
                    "employee_id": "22",
                    "start_date": "2026-08-01",
                    "currency": "GBP",
                    "employer": {
                        "id": "85",
                        "name": "Emp Co Limited",
                        "registration_number": "99",
                        "sic_code": "75",
                        "industry_name": "Financial Services",
                        "salary_deduction_opt_in_status": "accepted"
                    },
                    "payrolls": [
                        {
                            "payroll": {
                                "id": "69",
                                "contract_type": "casual",
                                "employment_status": "active",
                                "payment_run_frequency": "monthly",
                                "annualised_salary": 10000000,
                                "pay_dates": [
                                    {
                                        "pay_date": "2026-10-28",
                                        "payroll_cutoff_date": "2026-10-20",
                                        "pay_period": "10"
                                    },
                                    {
                                        "pay_date": "2026-11-28",
                                        "payroll_cutoff_date": "2026-11-2202",
                                        "pay_period": "11"
                                    },
                                    {
                                        "pay_date": "2026-12-28",
                                        "payroll_cutoff_date": "2026-12-20",
                                        "pay_period": "12"
                                    }
                                ]
                            }
                        },
                        {
                            "payroll": {
                                "id": "96",
                                "contract_type": "full-time",
                                "employment_status": "unknown",
                                "payment_run_frequency": "monthly",
                                "annualised_salary": 4000000,
                                "pay_dates": [
                                    {
                                        "pay_date": "2026-10-28",
                                        "payroll_cutoff_date": "2026-10-20",
                                        "pay_period": "10"
                                    },
                                    {
                                        "pay_date": "2026-11-28",
                                        "payroll_cutoff_date": "2026-11-2202",
                                        "pay_period": "11"
                                    },
                                    {
                                        "pay_date": "2026-12-28",
                                        "payroll_cutoff_date": "2026-12-20",
                                        "pay_period": "12"
                                    }
                                ]
                            }
                        }
                    ]
                }
            },
            {
                "employment": {
                    "employee_id": "24",
                    "start_date": "2026-11-04",
                    "currency": "GBP",
                    "employer": {
                        "id": "37",
                        "name": "Bob Maurice",
                        "registration_number": "60",
                        "sic_code": "2",
                        "industry_name": "Financial Services",
                        "salary_deduction_opt_in_status": "accepted"
                    },
                    "payrolls": [
                        {
                            "payroll": {
                                "id": "44",
                                "contract_type": "fixed_term",
                                "employment_status": "is_migrating",
                                "payment_run_frequency": "monthly",
                                "annualised_salary": 3500000,
                                "pay_dates": [
                                    {
                                        "pay_date": "2026-10-28",
                                        "payroll_cutoff_date": "2026-10-20",
                                        "pay_period": "10"
                                    },
                                    {
                                        "pay_date": "2026-11-28",
                                        "payroll_cutoff_date": "2026-11-2202",
                                        "pay_period": "11"
                                    },
                                    {
                                        "pay_date": "2026-12-28",
                                        "payroll_cutoff_date": "2026-12-20",
                                        "pay_period": "12"
                                    }
                                ]
                            }
                        }
                    ]
                }
            }
        ]
    }
}
🟠400Bad Request
🟠401Unauthorised
🟠403Forbidden
🟠404Not Found
🟠409Conflict
🟠422Unprocessable Entity
Previous
Full Availability Check
Next
Payroll Information